public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/backports-functools-lru-cache/
Date: Thu,  7 Nov 2019 13:03:21 +0000 (UTC)	[thread overview]
Message-ID: <1573131767.a06c886196600058f499b13b4c652fde398a4edb.sbraz@gentoo> (raw)

commit:     a06c886196600058f499b13b4c652fde398a4edb
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Mon Nov  4 14:24:06 2019 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Thu Nov  7 13:02:47 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a06c8861

dev-python/backports-functools-lru-cache: bump to 1.6.1

Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/backports-functools-lru-cache/Manifest  |  1 +
 .../backports-functools-lru-cache-1.6.1.ebuild     | 56 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/backports-functools-lru-cache/Manifest b/dev-python/backports-functools-lru-cache/Manifest
index 9a7e7a93de1..45e4eb6183c 100644
--- a/dev-python/backports-functools-lru-cache/Manifest
+++ b/dev-python/backports-functools-lru-cache/Manifest
@@ -1,3 +1,4 @@
 DIST backports.functools_lru_cache-1.3.tar.gz 6685 BLAKE2B 7007b08fc536ba2a31d215999a73399004b2db0f5c9e00706cb03df35882cfd987026fffa7e1deee2fde6142bbe0c5b7707ba06567e702e0781136572c0b17a0 SHA512 946156266d4b1bccb3eb444d1cceff6568b8c2a62e09bc9197281bdafe912069efa4c857089a7e6ea0247ab9407256a7a7c92485599692e0c0159c428137a342
 DIST backports.functools_lru_cache-1.4.tar.gz 6927 BLAKE2B a0ef9f56abcfde51b9d7f03cb9170c3d500652e43c9498fb7dc4c404276ceea15dcd6ffb2fc7efd723cb12790f99e6fe249136ae0d4c949f06ea06cc41318793 SHA512 78dcd12f392bc110d1556f567a9f8fe977fa4ddc98a2121ceaf43606687171866832b8d32220dfb4ca335f53e89acecabda9e48ad48571f1741b21ab2d3b8a21
 DIST backports.functools_lru_cache-1.5.tar.gz 7891 BLAKE2B 5de046672e25f95e8b224d79deb4ce7eb40aef72ea80e0788ef54076fc98ea3a993daf5a607a6670925707f357b4be14affc626b45bae100c6feba9a41e4c606 SHA512 083a69beb050a6de0f838231ceae05cd1825f42310b2cd4f0e53f7ca043af4c699ad7042c32831ee365bb6b374d33189136e45689c77815b99773d145f0ef4f1
+DIST backports.functools_lru_cache-1.6.1.tar.gz 12426 BLAKE2B 361cc71e0a18e6d578ac007d4990c2f7ae86a5753c25da378a7a3cfbece63b088278fc998adfea3eccaa51146659d658cdd7ce4e4e19d6d2fd7639f8df0a7262 SHA512 5764cc6ed83dc4abc2a7e5f8b5bb30c7b7554aafcbb6dfcececdb3646fe9298a8c1791a02112238ec94a0e383855bdec43bf9094f40b57124d0a0c9aa7c67f88

diff --git a/dev-python/backports-functools-lru-cache/backports-functools-lru-cache-1.6.1.ebuild b/dev-python/backports-functools-lru-cache/backports-functools-lru-cache-1.6.1.ebuild
new file mode 100644
index 00000000000..b70dbbfe3cb
--- /dev/null
+++ b/dev-python/backports-functools-lru-cache/backports-functools-lru-cache-1.6.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy python2_7 )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+MY_PN="${MY_PN//-/_}"
+DESCRIPTION="Backport of functools.lru_cache from Python 3.3"
+HOMEPAGE="https://github.com/jaraco/backports.functools_lru_cache"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/backports[${PYTHON_USEDEP}]"
+BDEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	>=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+	doc? (
+		>=dev-python/jaraco-packaging-3.2[${PYTHON_USEDEP}]
+		>=dev-python/rst-linker-1.9[${PYTHON_USEDEP}]
+		dev-python/sphinx[${PYTHON_USEDEP}]
+	)
+	test? (
+		>=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+	)
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_compile_all() {
+	if use doc; then
+		cd docs || die
+		sphinx-build . _build/html || die
+		HTML_DOCS=( docs/_build/html/. )
+	fi
+}
+
+python_test() {
+	# Override pytest options to skip flake8 and friends
+	PYTHONPATH=. pytest -vv --override-ini="addopts=--doctest-modules" \
+		|| die "tests failed with ${EPYTHON}"
+}
+
+python_install() {
+	# avoid a collision with dev-python/backports
+	rm "${BUILD_DIR}"/lib/backports/__init__.py || die
+	distutils-r1_python_install --skip-build
+}


             reply	other threads:[~2019-11-07 13:03 UTC|newest]

Thread overview: 49+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-11-07 13:03 Louis Sautier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-05-04 10:23 [gentoo-commits] repo/gentoo:master commit in: dev-python/backports-functools-lru-cache/ Michał Górny
2020-04-18  9:52 Sergei Trofimovich
2020-04-09 18:40 Sergei Trofimovich
2020-03-29 17:33 Sergei Trofimovich
2020-03-29 14:45 Sergei Trofimovich
2020-03-29  9:40 Sergei Trofimovich
2020-03-29  9:34 Sergei Trofimovich
2020-03-27 16:31 Agostino Sarubbo
2020-03-27 13:29 Agostino Sarubbo
2020-03-26 18:01 Sergei Trofimovich
2020-03-26 13:49 Michał Górny
2020-03-26 13:49 Michał Górny
2018-06-24 14:44 Louis Sautier
2018-02-05 18:37 Michał Górny
2018-02-05 18:37 Michał Górny
2017-12-27 19:02 Fabian Groffen
2017-11-28 20:48 Sergei Trofimovich
2017-11-25 18:51 Sergei Trofimovich
2017-11-25 18:51 Sergei Trofimovich
2017-11-25 18:51 Sergei Trofimovich
2017-11-23 22:31 Matt Turner
2017-11-10  1:08 Matt Turner
2017-08-06 12:45 Sergei Trofimovich
2017-08-05 19:25 Sergei Trofimovich
2017-07-26  9:40 Fabian Groffen
2017-07-10 13:15 Alexis Ballier
2017-06-17 17:24 Agostino Sarubbo
2017-06-17 15:36 Agostino Sarubbo
2017-06-16  7:57 Sergei Trofimovich
2017-06-15 20:52 Sergei Trofimovich
2017-06-14 19:49 Markus Meier
2017-06-10 17:17 Mike Gilbert
2017-06-06 21:38 Patrice Clement
2017-06-06 21:38 Patrice Clement
2017-05-26 14:59 Agostino Sarubbo
2017-05-24 13:46 Agostino Sarubbo
2017-05-18 16:54 Michael Weber
2017-05-16 21:05 Michał Górny
2017-05-09 16:30 Markus Meier
2017-05-09 15:35 Michał Górny
2017-04-29 12:20 Jeroen Roovers
2017-04-24 12:44 Tobias Klausmann
2017-04-23 12:40 Agostino Sarubbo
2017-02-19  8:16 Markus Meier
2017-01-26 15:18 Tobias Klausmann
2016-10-05  7:35 Patrice Clement
2016-01-14 12:30 Ian Delaney
2015-12-29 23:36 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1573131767.a06c886196600058f499b13b4c652fde398a4edb.sbraz@gentoo \
    --to=sbraz@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox